% This function determines whether the two points are close enough to each
% other and the distance, x,y from each other

function [condition,dx] = pbc(x1,x2,sigma)

% Determine the delta x and delta y
dx = x2-x1;

condition = 0;

% First check to see if it within the box of influence
% Our outer conditions rely only on the x direction, y direction is
% covered on the inner logic statements
if((abs(dx(1)) <= (2.5*sigma)))
    
    %Check whether y is close enough
    if(abs(dx(2)) <= (2.5*sigma))
        condition = 1;
        dx = [dx(1), dx(2)];
    elseif((1-x2(2)+x1(2))<=(2.5*sigma))
        condition = 1;
        dx = [dx(1), 1-x2(2)+x1(2)];
    elseif((1-x1(2)+x2(2))<=(2.5*sigma))
        condition = 1;
        dx = [dx(1), 1-x1(2)+x2(2)];
    end

% Check whether x is close enough in x direction
elseif((1-x2(1)+x1(1))<=(2.5*sigma)) 
    
    %Check whether y is close enough
    if(abs(dx(2)) <= (2.5*sigma))
        condition = 1;
        dx = [1-x2(1)+x1(1), dx(2)];
    elseif((1-x2(2)+x1(2))<=(2.5*sigma))
        condition = 1;
        dx = [1-x2(1)+x1(1), 1-x2(2)+x1(2)];
    elseif((1-x1(2)+x2(2))<=(2.5*sigma))
        condition = 1;
        dx = [1-x2(1)+x1(1), 1-x1(2)+x2(2)];
    end
% The other x option    
elseif((1-x1(1)+x2(1))<=(2.5*sigma))
    %Check whether y is close enough
    if(abs(dx(2)) <= (2.5*sigma))
        condition = 1;
        dx = [1-x1(1)+x2(1), dx(2)];
    elseif((1-x2(2)+x1(2))<=(2.5*sigma))
        condition = 1;
        dx = [1-x1(1)+x2(1), 1-x2(2)+x1(2)];
    elseif((1-x1(2)+x2(2))<=(2.5*sigma))
        condition = 1;
        dx = [1-x1(1)+x2(1), 1-x1(2)+x2(2)];
    end
end


% Check to make sure that none of the radiuses are within the sigma.  If
% they are then we need to set them to sigma so that they dont fly off in
% crazy directions
if(abs(dx(1)) < (sigma./2))
    if(dx(1)<0)
        dx(1) = -sigma;
    else
        dx(1) = sigma;
    end
end

if(abs(dx(2)) < (sigma./2))
    if(dx(2)<0)
        dx(2) = -sigma;
    else
        dx(2) = sigma;
    end
end

        